Store
Store Detail
Retrieve general business information and store settings.
Authorization
oauth2 store:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: store:read
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X GET "https://example.com/store/" \ -H "X-29next-API-Version: 2023-02-10"{ "available_currencies": [ { "code": "strin", "label": "string" } ], "available_languages": [ { "code": "string", "label": "string" } ], "contact_address": { "city": "string", "company_name": "string", "country": "string", "line1": "string", "line2": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "name": "string", "payments": { "available_express_payment_methods": [ { "code": "string", "label": "string" } ], "available_payment_methods": [ { "code": "string", "label": "string", "supported_currencies": [ null ] } ], "certificate_token": "string", "environment_key": "string" }, "primary_domain": "string", "tagline": "string", "tax_id": "string", "timezone": "string"}